@echo OFF

REM Usage -  BackupLibronix %1 [%2]
REM %1 is the backup folder eg. F:\logosbackup (use quotes if name has spaces)
REM %2 is required only for a custom installation eg. "D:\Libronix DLS"

REM Windows 9x/ME only!
REM D. Hooton July 2008

CLS

REM ***** Find the system drive *****

SET DRIVE=C:
SET | find /i "windir=%DRIVE%" > NUL
If NOT ERRORLEVEL 1 goto SETVAR

SET DRIVE=D:
SET | find /i "windir=%DRIVE%" > NUL
If NOT ERRORLEVEL 1 goto SETVAR

ECHO Cannot find your system drive.
ECHO Replace C: with your drive in the script
ECHO.
GOTO EXIT 

REM *********************************

:SETVAR
SET COMMON=%1
If %1!==! goto MISSING
If NOT EXIST %1\nul mkdir %1

SET USERFILE="%DRIVE%\My Documents\Libronix DLS"
SET LICENCES="%WINDIR%\All Users\Application Data\Libronix DLS\Library\Licenses"
SET PREFS="%WINDIR%\Application Data\Libronix DLS"
SET PROGRAMFILES=%DRIVE%\Program Files

REM XCopy /d allows only newer files to be copied

ECHO Copying User Files...
XCOPY %USERFILE% %1\User /i /s /e /d /y /q
ECHO.
ECHO Copying Prefs Files...
XCOPY %PREFS% %1\Prefs /i /s /e /d /y /q
ECHO.
ECHO Copying Licence Files...
XCOPY %LICENCES% %1\Licences /i /s /e /d /y /q
ECHO.

REM assume default installation if %2 is NULL

SET COMMON="%PROGRAMFILES%\Libronix DLS\Common"
If NOT %2!==! SET COMMON=%2\Common
If NOT EXIST %COMMON%\nul goto MISSING

ECHO Copying Common Files from %COMMON%...
XCOPY %COMMON% %1\Common /i /s /e /d /y /q
ECHO.
GOTO EXIT

:MISSING
ECHO Folder %COMMON% does not exist or data is missing
ECHO.

:EXIT
SET DRIVE=
SET PROGRAMFILES=
ECHO Press any key to finish
PAUSE >NUL
