@echo OFF

REM Usage -  BackupResources %1 [%2]
REM %1 is the backup folder eg. F:\resourcebackup (use quotes if name has spaces)
REM %2 is required for resources in a non-default location eg. "C:\DLS Resources"  

REM Windows 9x/ME only!
REM D. Hooton July 2008

CLS

REM ***** Find the system drive *****

SET DRIVE=C:
SET | find /i "windir=%DRIVE%" > NUL
If NOT ERRORLEVEL 1 goto SETVAR

SET DRIVE=D:
SET | find /i "windir=%DRIVE%" > NUL
If NOT ERRORLEVEL 1 goto SETVAR

ECHO Cannot find your system drive.
ECHO Replace C: with your drive in the script
ECHO.
GOTO EXIT 

REM *********************************

:SETVAR
SET RESOURCES=%1
If %1!==! GOTO MISSING
If NOT EXIST %1\nul mkdir %1

:BACKUP
REM Resources in default location if %2 is NULL

SET RESOURCES="%DRIVE%\Program Files\Libronix DLS\Resources"
If NOT %2!==! SET RESOURCES=%2

If NOT EXIST %RESOURCES%\*.* GOTO MISSING

REM XCopy /d allows only newer files to be copied
ECHO Copying Resources from %RESOURCES%...
XCOPY %RESOURCES% %1\Resources /i /s /e /d /y /q
ECHO.

GOTO EXIT

:MISSING
ECHO Folder %RESOURCES% does not exist or data is missing
ECHO.

:EXIT
SET DRIVE=
ECHO Press any key to finish
PAUSE >NUL
