@echo OFF

REM Usage -  RestoreLibronix %1 [%2]
REM %1 is the backup folder eg. F:\logosbackup (use quotes if name has spaces)
REM %2 is required only for a custom installation eg. "D:\Libronix DLS"

REM Windows 9x/ME only!
REM D. Hooton July 2008

CLS

REM ***** Find the system drive *****

SET DRIVE=C:
SET | find /i "windir=%DRIVE%" > NUL
If NOT ERRORLEVEL 1 goto SETVAR

SET DRIVE=D:
SET | find /i "windir=%DRIVE%" > NUL
If NOT ERRORLEVEL 1 goto SETVAR

ECHO Cannot find your system drive.
ECHO Replace C: with your drive in the script
ECHO.
GOTO EXIT 

REM *********************************

:SETVAR
SET COMMON=%1
If %1!==! GOTO MISSING
If NOT EXIST %1\Licences\*.* goto MISSING

SET USERFILE="%DRIVE%\My Documents\Libronix DLS"
SET LICENCES="%WINDIR%\All Users\Application Data\Libronix DLS\Library\Licenses"
SET PREFS="%WINDIR%\Application Data\Libronix DLS"
SET PROGRAMFILES=%DRIVE%\Program Files

REM XCopy /d allows only newer files to be copied; /r writes to RO files.

ECHO Restoring User Files...
XCOPY %1\User %USERFILE% /i /s /e /y /q /r
ECHO.
ECHO Restoring Prefs Files...
XCOPY %1\Prefs %PREFS% /i /s /e /y /q /r
ECHO.
ECHO Restoring Licence Files...
XCOPY %1\Licences %LICENCES% /i /s /e /y /q /r
ECHO.

REM assume default installation if %2 is NULL

SET COMMON="%PROGRAMFILES%\Libronix DLS\Common"
If NOT %2!==! SET COMMON=%2\Common
If NOT EXIST %COMMON%\nul goto MISSING

ECHO Restoring Common Files to %COMMON%...
XCOPY %1\Common %COMMON% /i /s /e /d /y /q /r
ECHO.
GOTO EXIT

:MISSING
ECHO Folder %COMMON% does not exist or data is missing
ECHO.

:EXIT
SET DRIVE=
SET PROGRAMFILES=
ECHO Press any key to finish
PAUSE >NUL
